<template>
  <div/>
</template>

<script>
import { tileLayer } from 'leaflet'
import WorkspaceGetter from '@/workspace/mixins/WorkspaceGetter'
import LeafletGetter from '@/workspace/mixins/LeafletGetter'

export default {
  name: 'wmslayer',

  mixins: [
    WorkspaceGetter,
    LeafletGetter,
  ],

  props: {
    url: {
      type: String,
      required: true,
    },

    name: {
      type: String
    },
  },

  mounted() {
    this.__layerObject = tileLayer.wms(this.url, {
      pane: this.$parent.name,
      layers: this.name,
      format: 'image/png',
      transparent: true,
      tileSize: 512,
      version: '1.3.0',
    }).addTo(this.leafletMap)
  },
}
</script>
